Author Topic: solid slice problem  (Read 1876 times)

0 Members and 1 Guest are viewing this topic.

dussla

  • Bull Frog
  • Posts: 291
solid slice problem
« on: October 07, 2008, 09:54:36 PM »
hello .
i made some code
it is 1 point slice
but there is problem
if i  select 1 point  , that cut object , but  other side is erase
i would like to remain all object without erasing

is that possible ?

(defun c:sx  (/ pt1 pt2 pt3 ssolid ss1)
      (setvar "cmdecho" 0 )
      (setvar "osmode" 35  )
      (setq small (ssget '((0 . "3DSOLID"))))
      (setq  sd  (ssget  "x"  (list '(0 . "3DSOLID")   (cons 410 (getvar "ctab")))))
      (seiso sd small )
      
   (setq cl1 (getvar "clayer"))
   (if (= (tblsearch "layer" "section") nil) (laymake) (setvar "clayer" "section") )
   (setq pt1 (getpoint "1 point : ")
       
        pt2 ( polar pt1 0 9000000 )                   
         pt3 (list (nth 0 pt2) (nth 1 pt2) (+ (nth 2 pt2) 9000000))
         ssolid (ssget "f" (list pt1 pt2))
   )
      (command "slice" ssolid "" pt1 pt2 pt3 "b")
      (setvar "clayer" cl1)
         (setvar "osmode" 35  )
)